/**
 * Copyright (c) 2022, knokbak
 * All rights reserved.
 *
 * This file is subject to the terms and conditions of the BSD 3-Clause
 * License. A copy of the license can be found in the LICENSE file. If
 * a copy of the license was not distributed with this file, you can
 * obtain one at https://github.com/knokbak/cf-turnstile.
 */
declare type TurnstileOptions = {
    secret?: string;
    apiUrl?: string;
    hostname?: string;
    remoteip?: string;
    action?: string;
    cdata?: string;
    debug?: boolean;
    throwOnFailure?: boolean;
};
declare type TurnstileResponse = {
    success: boolean;
    timestamp?: Date;
    hostname?: string;
    errors: string[];
    action?: string;
    cdata?: string;
};
declare function turnstile(secret?: string, globalOptions?: TurnstileOptions): (token: string, options?: TurnstileOptions) => Promise<TurnstileResponse>;
export default turnstile;
export { TurnstileOptions, TurnstileResponse };
